package distribute

type Distribute struct {
	workerList []IWorker
	existing   map[string]IWorker
	modelList  map[string]ModelDetailInfo
}

func NewDistribute() *Distribute {
	return &Distribute{
		workerList: make([]IWorker, 1000),
		existing:   make(map[string]IWorker),
	}
}

func (d *Distribute) AttachWorker(w IWorker) bool {
	if _, ok := d.existing[w.Address()]; ok {
		return false
	}
	d.existing[w.Address()] = w
	return true
}

func (d *Distribute) DetachWorker(w IWorker) bool {
	if _, ok := d.existing[w.Address()]; !ok {
		return false
	}
	delete(d.existing, w.Address())
	return true
}

func (d *Distribute) schedulerAWorker() {

}
